## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Enum XdmAxis

    public enum XdmAxis

implements object

  Enumeration identifying the thirteen XPath axes

Field Summary
`` | `Ancestor` The XPath ancestor axis
`` | `AncestorOrSelf` The XPath ancestor-or-self axis
`` | `Attribute` The XPath attribute axis
`` | `Child` The XPath child axis
`` | `Descendant` The XPath descendant axis
`` | `DescendantOrSelf` The XPath descandant-or-self axis
`` | `Following` The XPath following axis
`` | `FollowingSibling` The XPath following-sibling axis
`` | `Namespace` The XPath namespace axis
`` | `Parent` The XPath parent axis
`` | `Preceding` The XPath preceding axis
`` | `PrecedingSibling` The XPath preceding-sibling axis
`` | `Self` The XPath self axis

Field Detail

### Ancestor

    public  Ancestor

  The XPath ancestor axis

### AncestorOrSelf

    public  AncestorOrSelf

  The XPath ancestor-or-self axis

### Attribute

    public  Attribute

  The XPath attribute axis

### Child

    public  Child

  The XPath child axis

### Descendant

    public  Descendant

  The XPath descendant axis

### DescendantOrSelf

    public  DescendantOrSelf

  The XPath descandant-or-self axis

### Following

    public  Following

  The XPath following axis

### FollowingSibling

    public  FollowingSibling

  The XPath following-sibling axis

### Namespace

    public  Namespace

  The XPath namespace axis

### Parent

    public  Parent

  The XPath parent axis

### Preceding

    public  Preceding

  The XPath preceding axis

### PrecedingSibling

    public  PrecedingSibling

  The XPath preceding-sibling axis

### Self

    public  Self

  The XPath self axis